"""
@author: luojunhui
"""
import traceback
from applications.aliyunLogApi import log


def insert_into_single_video_source_table(db_client, video_item):
    """
    insert video into single video source table
    """
    insert_sql = f"""
        INSERT INTO publish_single_video_source
        (content_trace_id, article_title, out_account_id, out_account_name, read_cnt, like_cnt, article_url, cover_url, video_oss_path, publish_timestamp, crawler_timestamp, url_unique_md5, category, tags, platform, source_account)
        values
        (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s);
    """
    try:
        db_client.save(
            query=insert_sql,
            params=(
                video_item['content_trace_id'],
                video_item['article_title'],
                video_item['out_account_id'],
                video_item['out_account_name'],
                video_item['read_cnt'],
                video_item['like_cnt'],
                video_item['article_url'],
                video_item['cover_url'],
                video_item['video_oss_path'],
                video_item['publish_timestamp'],
                video_item['crawler_timestamp'],
                video_item['url_unique_md5'],
                video_item['category'],
                video_item['tags'],
                video_item['platform'],
                video_item['source_account'],
            ),
        )
    except Exception as e:
        log(
            task="{}_video_crawler".format(video_item['platform']),
            function="save_each_video",
            message="save video failed",
            data={
                "error": str(e),
                "traceback": traceback.format_exc(),
                "video_id": video_item['url_unique_md5'],
                "oss_path": video_item['video_oss_path']
            }
        )
